@font-face {
    font-family: 'CaslonPro';
    src: url('ACaslonPro-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
  }
  @font-face {
    font-family: 'CaslonProBold';
    src: url('ACaslonPro-Bold.woff') format('woff');
    font-weight: normal;
    font-style: normal;
  }
  @font-face {
    font-family: 'CaslonProItalic';
    src: url('ACaslonPro-Italic.woff') format('woff');
    font-weight: normal;
    font-style: normal;
  }
  @font-face {
    font-family: 'SpotifyBold';
    src: url('CircularSpotifyTxT-Bold.woff') format('woff');
    font-weight: normal;
    font-style: normal;
  }
  @font-face {
    font-family: 'SpotifyLight';
    src: url('CircularSpotifyText-Light.woff') format('woff');
    src: url('CircularSpotifyText-Light.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
  }
  @font-face {
    font-family: 'SpotifyBook';
    src: url('CircularSpotifyText-Book.woff') format('woff');
    src: url('CircularSpotifyText-Book.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
  }
  @font-face {
    font-family: 'Inter';
    src: url('Inter-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
  }
  @font-face {
    font-family: 'Lemonmilk';
    src: url('LEMONMILK-Light.woff') format('woff');
    src: url('LEMONMILK-Light.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
  }


body {
    margin: 0;
    font-family: Arial, sans-serif;
    background: #f8f1eb;
    color: #333;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    position: relative;
    overflow: hidden;
}

.containerPC {
    text-align: left;
    max-width: 1200px;
    margin-left: -18%;
}
.containerT {
    text-align: left;
    max-width: 600px;
}

.containerPC h1{
    font-family: Lemonmilk;
    font-size: 62px;
    line-height: 1.5;
    letter-spacing: 0.1em;
    text-transform: uppercase;
    margin-bottom: 3rem;
    color: hsla( 240,2.44%,8.04% ,1);
    font-weight: 400;

}
.containerT h1{
    font-family: Lemonmilk;
    font-size: 42px;
    line-height: 1.5;
    letter-spacing: 0.1em;
    text-transform: uppercase;
    margin-bottom: 3rem;
    color: hsla( 240,2.44%,8.04% ,1);
    font-weight: 400;
    margin-bottom: 3rem;
    margin-top: 100px;
    text-align: left;
    margin-bottom: -10px;
}

.containerPC h4{
    font-family: 'Inter';
    font-size: 33px;
    line-height: 48px;
    color: hsla( 240,2.44%,8.04% ,1);
    font-weight: 400;
}
.containerT h4{
    font-family: 'Inter';
    font-size: 20px;
    line-height: 32px;
    color: hsla( 240,2.44%,8.04% ,1);
    font-weight: 400;
    max-width: 315px;
    text-align: left;
    
}

.logoPC img {
    position: absolute;
    top: 35px;
    left: 80px;
    width: 300px;
}
.logoT img {
    position: absolute;
    top: 40px;
    left: 10px;
    width: 200px;
}

h1 {
    font-size: 3em;
    margin: 10px 0;
}

.support-button {
    border: 1px solid #000000;
    background: none;
    cursor: pointer;
    font-size: 1em;
    text-transform: uppercase;
    margin-left: 20px;
    padding: 10px 20px;
    font-family: SpotifyBook;
    font-size: 0.83em;
    letter-spacing: 1px;
    font-weight: 400;
}
.support-button:hover {
    background: #000000;
    color: #fff;
    transition: all 0.2s ease;

}

nav {
    position: absolute;
    top: 20px;
    right: 10px;
    display: flex;
    align-items: center;
    margin-top: 50px;
    margin-right: 100px;
    font-family: SpotifyBook;
    font-size: 0.83em;
    letter-spacing: 1px;
}
nav a {
    margin: 35px;
    text-decoration: none;
    color: #333;
    font-size: 0.83em;
    text-transform: uppercase;
    font-weight: 400;
}

.hamburger-menu {
    position: fixed;
    top: 20px;
    right: 20px;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 25px;
    height: 20px;
    z-index: 10;
    margin: 25px;
    margin-top: 55px;
}

.hamburger-menu .bar {
    width: 35px;
    height: 2px;
    background-color: #000;
    border-radius: 5px;
    transition: transform 0.3s ease;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 100;
    display: none;
}

.menu-container {
    position: fixed;
    bottom: -100%;
    left: 50%;
    height: 80%;
    transform: translateX(-50%);
    background-color: #fff;
    width: 80%;
    max-width: 400px;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    z-index: 101;
    transition: bottom 0.3s ease;
}

.menu-content {
    text-align: center;
}

.close-menu {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
}

.close-menu .bar {
    width: 25px;
    height: 3px;
    background-color: #333;
    border-radius: 2px;
    transition: transform 0.3s ease;
}

.social-icons {
    position: fixed;
    top: 50%;
    left: 35px;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    gap: 16px;
    justify-content: center;
    text-align: center;
  }
  .social-icons a {
    color: #000;
    font-size: 18px;
    text-decoration: none;
    /* margin: 10px 0; */
  }
  .social-icons a:hover {
    color: #0073e6;
  }
  
  .tiktok-icon {
    scale: 1;
  }
  
  .email-icon {
    font-size: 17px !important;
  }

  .logoT, .containerT, .hamburger-menu {
    display: none;
}

  @media (max-width: 1555px) {
    .containerPC {
        margin-left: -10%;
    }
}

  @media (max-width: 1425px) {
    .containerPC {
        text-align: left;
        margin-left: -5%;
    }
}

@media (max-width: 1350px) {
    .containerPC {
        text-align: left;
        margin-left: -1%;
    }
}

@media (max-width: 1299px) {
    .containerPC h1{
        font-size: 52px;
    }

    .containerPC h4{
        font-size: 28px;
    }

    .containerPC{
    margin-left: -7%;
    }
}

@media (max-width: 1190px) {
    .containerPC h1{
        font-size: 42px;
    }

    .containerPC h4{
        font-size: 20px;
    }

    .containerPC{
    margin-left: -12%;
    }
}

@media (max-width: 1100px) {
    .logoPC img{
        margin-left: -40px;
    
    }
}

@media (max-width: 1047px) {
    .containerPC{
    margin-left: -5%;
    }

    nav a{
        margin: 20px;
    }

    .logoPC img{
        margin-left: -50px;
    
    }
}

@media (max-width: 965px) {
    .containerPC{
    margin-left: 0%;
    }

    nav a{
        margin: 10px;
    }

    .logoPC img{
        margin-left: -70px;
    
    }
}

@media (max-width: 895px) {
    .containerPC{
    margin-left: 5%;
    max-width: 600px;
    }

    nav a{
        margin: 5px;
    }

    .logoPC img{
        margin-left: -80px;
        width: 250px;
    }
}

@media (max-width: 830px) {
    .containerPC{
        margin-left: 5%;
        max-width: 600px;
    }

    .support-container{
        margin-right: -50px;
    }
}

@media (max-width: 770px) {
    nav{
        display: none;
    }

    .hamburger-menu{
        display: flex;
    }
}

@media (max-width: 747px) {
    .containerPC{
        margin-left: 5%;
    }
}

@media (max-width: 710px) {
    .containerPC{
        margin-left: 10%;
    }
}

@media (max-width: 680px) {
    .containerPC, .logoPC{
        display: none;
    }

    .logoT, .containerT{
        display: block;
    }

    .social-icons {
        left: 10px;
        gap: 20px;
    }

    .social-icons a{
        font-size: 18px;
    }

    .email-icon {
        font-size: 16px !important;
    }

    .containerT {
        margin: 80px;
        margin-top: 100px;
    }

    .containerT h4{
        min-width: 280px;
    }
}

@media only screen and (min-width: 375px) and (max-width: 375px) {
    .logoT img{
        width: 180px;
        margin-top: 5px;
    }

    .containerT {
        margin-top: 70px;
    }
  }
  


* {box-sizing: border-box;}

body{
    transition: background 0.9s linear;
}

body.dark {background-color: #292c35;}
body.dark h1, body.dark h4, body.dark nav a, body.dark .support-button {color: #fff;}
body.dark .support-button {border-color: #fff;}
body.dark .hamburger-menu .bar {background-color: #fff;}
body.dark .close-menu .bar {background-color: #fff;}
body.dark .social-icons a {color: #fff;}
body.dark .social-icons a:hover {color: #0073e6;}
body.dark .email-icon {font-size: 17px !important;}
body.dark .checkbox-label {background-color: #f8f1eb;}
body.dark .ball {background-color: #292c35;}
body.dark .logoPC img {filter: invert(1);}
body.dark .logoT img {filter: invert(1);}
body.dark .support-button:hover {background: #fff; color: #000;}

.checkbox {
  opacity: 0;
  position: absolute;
}

.checkbox-label {
  background-color: #292c35;
  width: 50px;
  height: 26px;
  border-radius: 50px;
  position: relative;
  padding: 5px;
  cursor: pointer;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.checkbox-label .ball {
  background-color: #f8f1eb;
  width: 22px;
  height: 22px;
  position: absolute;
  left: 2px;
  top: 2px;
  border-radius: 50%;
  transition: transform 0.2s linear;
}

.checkbox:checked + .checkbox-label .ball {
  transform: translateX(24px);
}

.support-container {
    display: flex;
    align-items: center;
}

.theme-switch {
    margin-left: 35px;
}

.theme-switch-mobile {
    display: none;
}

@media (max-width: 770px) {
    .theme-switch-mobile {
        display: flex;
        position: fixed;
        top: 17px;
        right: 70px;
        z-index: 10;
        margin: 25px;
        margin-top: 55px;
    }
}